var img_ra = new Image(); // right arrow
var img_da = new Image(); // down arrow
var img_ras = new Image(); // small right arrow
var img_das = new Image(); // small down arrow
img_ra.src="http://nodal.ercot.com/images/icons/ico_arrowRight.gif"; 
img_da.src="http://nodal.ercot.com/images/icons/ico_arrowDown.gif"; //this value must match the src used for the intial twistie arrow image (when content initial state is expanded)
img_ras.src="http://nodal.ercot.com/images/icons/ico_arrowRight_sm.gif";
img_das.src="http://nodal.ercot.com/images/icons/ico_arrowDown_sm.gif";

// parameter passed is the base id value used to group all twistie components
function sh_div(id) {

	var bid = 'b' + id; // corresponds with the div containing the content that is to expand/collapse
	var fid = 'f' + id; // corresponds with the footer div associated with the content div that is to expand/collapse (optional)
	var iid = 'i' + id; // corresponds with the twistie arrow image

	if (document.getElementById(bid).style.display != null) {

		if (document.getElementById(bid).style.display == "none") { // if content is collapsed

			if (document.getElementById(iid) != null) { // verify that the image exists

				if (document.getElementById(iid).src == img_ra.src) { document.getElementById(iid).src = img_da.src; } // change image to down arrow when content is expanded
				else if (document.getElementById(iid).src == img_ras.src) { document.getElementById(iid).src = img_das.src; }  // change image to small down arrow when content is expanded (if small arrows are used)
			}
			
				if (document.getElementById(bid).nodeName == 'TBODY') { // DOM returns node names in all uppercase
				
					document.getElementById(bid).style.display = "table-row-group"; // show content
				
				} else {

					document.getElementById(bid).style.display = "block"; // show content
					document.getElementById(fid).style.display = "block"; // show associated footer
					
				}

		} else { // else content is expanded

			if (document.getElementById(iid) != null) { // verify that the image exists

				if (document.getElementById(iid).src == img_da.src) { document.getElementById(iid).src = img_ra.src; } // change image to right arrow when content is collapsed
				else if (document.getElementById(iid).src == img_das.src) { document.getElementById(iid).src = img_ras.src; } // change image to small right arrow when content is expanded (if small arrows are used)
			}

			document.getElementById(bid).style.display = "none"; // collapse content
			document.getElementById(fid).style.display = "none"; // collapse associated footer 

		}
	}
	return;
}